using System;
using System.Collections.Generic;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	public class Jester : BaseVendor
	{
		private List<SBInfo> m_SBInfos = new List<SBInfo>();
		protected override List<SBInfo> SBInfos{ get { return m_SBInfos; } }

		public override NpcGuild NpcGuild{ get{ return NpcGuild.ThievesGuild; } }

		[Constructable]
		public Jester() : base( "the jester" )
		{
			SetSkill( SkillName.Searching, 65.0, 88.0 );
			SetSkill( SkillName.Hiding, 45.0, 68.0 );
			SetSkill( SkillName.Lockpicking, 65.0, 88.0 );
			SetSkill( SkillName.Stealing, 65.0, 88.0 );
			SetSkill( SkillName.Stealth, 65.0, 88.0 );
			SetSkill( SkillName.RemoveTrap, 65.0, 88.0 );
		}

		public override void InitSBInfo()
		{
			m_SBInfos.Add( new SBJester() );
		}

		public override void InitOutfit()
		{
			AddItem( new JesterSuit( Utility.RandomHue() ) );
			AddItem( new JesterHat( Utility.RandomHue() ) );
			AddItem( new Shoes( Utility.RandomHue() ) );

			if ( Female )
			{
				switch ( Utility.Random( 4 ) )
				{
					case 0: AddItem( new Skirt( Utility.RandomHue() ) ); break;
					case 1: AddItem( new Kilt( Utility.RandomHue() ) ); break;
					case 2: AddItem( new LongPants( Utility.RandomHue() ) ); break;
					case 3: AddItem( new ShortPants( Utility.RandomHue() ) ); break;
				}
			}
			else
			{
				switch ( Utility.Random( 3 ) )
				{
					case 0: AddItem( new LongPants( Utility.RandomHue() ) ); break;
					case 1: AddItem( new ShortPants( Utility.RandomHue() ) ); break;
					case 2: AddItem( new Kilt( Utility.RandomHue() ) ); break;
				}
			}
		}

		public Jester( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}